Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class DigitalNetBase2FromFile

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.DigitalNet
              umontreal.iro.lecuyer.hups.DigitalNetBase2
                  umontreal.iro.lecuyer.hups.DigitalNetBase2FromFile

    public class DigitalNetBase2FromFile

extends DigitalNetBase2

This class allows us to read the parameters defining a digital net in base 2 either from a file, or from a URL address on the World Wide Web. See the documentation in `DigitalNetFromFile`. The parameters used in building the net are those defined in class `DigitalNetBase2`. The format of the data files must be the following (where B is any Cj): (see the format in `guidehups.pdf`)

For each dimension j, there must be a k-vector of 32-bit integers (the ai) corresponding to the columns of Cj. The correspondance is such that integer ai = 230(Cj)1i +229(Cj)2i + ... +231-r(Cj)ri.

Constructor Summary
`DigitalNetBase2FromFile(String filename, int s1)` Same as `DigitalNetBase2FromFile``(filename, r, 31, s1)` where `s1` is the dimension and `r` is given in data file `filename`.
`DigitalNetBase2FromFile(String filename, int r1, int w, int s1)` Constructs a digital net in base 2 after reading its parameters from file `filename`.

Method Summary
`static String` | `listDir(String dirname)` Lists all files (or directories) in directory `dirname`.
`String` | `toString()` Formats a string that contains the information about the point set.
`String` | `toStringDetailed()` Writes the parameters and the generating matrices of this digital net to a string.

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNetBase2
`addRandomShift, addRandomShift, clearRandomShift, getCoordinate, getCoordinateNoGray, iBinomialMatrixScramble, iBinomialMatrixScrambleFaurePermut, iBinomialMatrixScrambleFaurePermutAll, iBinomialMatrixScrambleFaurePermutDiag, iterator, iteratorNoGray, leftMatrixScramble, leftMatrixScrambleDiag, leftMatrixScrambleFaurePermut, leftMatrixScrambleFaurePermutAll, leftMatrixScrambleFaurePermutDiag, printGeneratorMatrices, printGeneratorMatricesTrans, rightMatrixScramble, stripedMatrixScramble, stripedMatrixScrambleFaurePermutAll`

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNet
`eraseOriginalGeneratorMatrices, leftMatrixScrambleRest, resetGeneratorMatrices, unrandomize`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, formatPoints, formatPoints, getDimension, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigitalNetBase2FromFile

    public DigitalNetBase2FromFile(String filename,
                                   int r1,
                                   int w,
                                   int s1)
                            throws IOException,
                                   MalformedURLException

  Constructs a digital net in base 2 after reading its parameters from file `filename`. See the documentation in `DigitalNetFromFile`. Parameter `w` gives the number of bits of resolution, `r1` is the number of rows, and `s1` is the dimension. Restrictions: `s1` must be less than the maximal dimension, and `r1` less than the maximal number of rows in the data file. Also `w` >= `r1`.

  Parameters:
    `filename` - Name of the file to be read
    `r1` - Number of rows for the generating matrices
    `w` - Number of bits of resolution
    `s1` - Number of dimensions
  Throws:
    `IOException`
    `MalformedURLException`

### DigitalNetBase2FromFile

    public DigitalNetBase2FromFile(String filename,
                                   int s1)
                            throws IOException,
                                   MalformedURLException

  Same as `DigitalNetBase2FromFile``(filename, r, 31, s1)` where `s1` is the dimension and `r` is given in data file `filename`.

  Parameters:
    `filename` - Name of the file to be read
    `s1` - Number of dimensions
  Throws:
    `IOException`
    `MalformedURLException`

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `DigitalNetBase2`
  Returns:
    string representation of the point set information

### toStringDetailed

    public String toStringDetailed()

  Writes the parameters and the generating matrices of this digital net to a string. This is useful to check that the file parameters have been read correctly.

### listDir

    public static String listDir(String dirname)
                          throws IOException

  Lists all files (or directories) in directory `dirname`. Only relative pathnames should be used. The files are parameter files used in defining digital nets. For example, calling `listDir("")` will give the list of the main data directory in SSJ, while calling `listDir("Edel/OOA2")` will give the list of all files in directory `Edel/OOA2`.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.